function crit = calc_lc50(c,Tend,par_out,Feff,X0,S0)

% This function calculates the criterion to be used by fzero to calculate
% the LC50. This function is for now only useful for the GUTS packages.
% Inputs:
% <c>       the concentration to try to see if it is the LCx
% <Tend>    the time at which to calculate the LCx
% <par_out> the optimised parameter set
% <Feff>    the fraction effect (x/100 in LCx)
% <X0>      initial values for the state variable
% <S0>      survival in the control
%
% This function is called from a BYOM script

% Author : Tjalling Jager 
% Date: Dec 2014
% Web support: http://www.debtox.info/byom.html

global glo

[Xtst2] = call_deri([0 Tend/2 Tend],par_out,[c X0']); % survival at conc. c

crit = Xtst2(end,glo.locS)/S0-(1-Feff); % zero when end value is x*100% effect